%define module  Data-FormValidator
%define name    perl-%{module}
%define version 4.57
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Validates user input based on input profile
License:        Artistic/GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.gz
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(File::MMagic)
BuildRequires:  perl(Image::Size)
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(CGI)
BuildRequires:  perl(MIME::Types)
BuildRequires:  perl(Perl6::Junction)
BuildArch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format. Data::FormValidator lets you define profiles which declare the
required and optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing and
invalid results, return error messages about which constraints failed, or
process the resulting valid data.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%buildroot

%files
%defattr(-,root,root)
%doc README RELEASE_NOTES
%{perl_vendorlib}/Data
%{_mandir}/*/*

%clean
rm -rf %{buildroot}




%changelog
* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.57-1mdv2008.1
+ Revision: 106645
- update to new version 4.57
- update to new version 4.57

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.56-1mdv2008.1
+ Revision: 104519
- update to new version 4.56

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.51-1mdv2008.0
+ Revision: 59255
- 4.51


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 4.50-1mdv2007.0
+ Revision: 93913
- 4.50
- buidrequires
- bump release to please upload system
- fix buildrequires
- 4.40
- Import perl-Data-FormValidator

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.30-1mdv2007.0
- New version 4.30

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.20-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupdate aware

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.14-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.14-1mdk
- First Mandriva release

